# Part 5.5: NumPy로 배우는 선형대수학

이 파트에서는 머신러닝과 딥러닝의 수학적 기반이 되는 선형대수학의 핵심 개념을 NumPy를 활용하여 학습합니다.

## 📚 학습 자료

- **[강의 노트](./part_5.5_linear_algebra_with_numpy.md)**: 선형대수학의 핵심 개념과 NumPy를 활용한 구현 방법에 대한 상세 설명을 제공합니다.
- **[핵심 용어집](../../glossary.md)**: 이 파트의 주요 용어와 개념을 정리했습니다.

## 💻 실습 코드

- **[예제 코드](../../source_code/05.5_linear_algebra_with_numpy/)**: 강의 내용을 직접 실행해볼 수 있는 코드입니다.

## 📋 주요 학습 내용

1. **벡터와 행렬의 기본 개념**
   - 벡터의 연산: 덧셈, 뺄셈, 스칼라 곱, 내적, 외적
   - 행렬의 연산: 덧셈, 뺄셈, 곱셈, 전치, 행렬식, 역행렬

2. **고급 선형대수 개념**
   - 고유값과 고유벡터
   - 특이값 분해(SVD)
   - 선형 변환

3. **머신러닝에서의 응용**
   - 주성분 분석(PCA)
   - 선형 회귀
   - 딥러닝에서의 활용

---

[↩️ 전체 커리큘럼으로 돌아가기](../../README.md) 