# NumPy로 배우는 선형대수학 실습 코드

이 디렉토리에는 NumPy를 활용하여 선형대수학 개념을 실습할 수 있는 코드가 포함되어 있습니다.

## 📁 파일 구조

- **`part_5.5_linear_algebra_with_numpy.py`**: 선형대수학 개념을 NumPy로 구현한 주요 실습 코드

## 🚀 실습 방법

1. 먼저 필요한 패키지가 설치되어 있는지 확인합니다:
   ```bash
   pip install numpy matplotlib
   ```

2. 코드를 실행합니다:
   ```bash
   python part_5.5_linear_algebra_with_numpy.py
   ```

3. 특정 섹션만 실행하려면 코드 내 주석을 참고하여 해당 부분을 활성화하거나 비활성화합니다.

## 📋 주요 실습 내용

- **벡터 연산**: 벡터의 생성, 크기 계산, 덧셈, 뺄셈, 스칼라 곱, 내적, 외적
- **행렬 연산**: 행렬의 생성, 덧셈, 뺄셈, 곱셈, 전치, 행렬식, 역행렬
- **고급 연산**: 고유값, 고유벡터, 특이값 분해(SVD)
- **시각화**: 벡터, 행렬, 선형 변환의 기하학적 표현
- **머신러닝 응용**: 주성분 분석(PCA), 선형 회귀의 구현

## 🔍 학습 목표

이 실습 코드를 통해 다음을 배우게 됩니다:
- NumPy의 기본 사용법과 선형대수학적 연산 방법
- 추상적인 수학 개념을 코드로 구현하는 능력
- 선형대수학이 머신러닝과 딥러닝에 어떻게 적용되는지 이해

---

[↩️ 전체 코드 목록으로 돌아가기](../README.md) 